Hi, in Flyte 0.18.2 and 0.19.0, the pytorch-operat...
# flyte-deployment
a
Hi, in Flyte 0.18.2 and 0.19.0, the pytorch-operator is got deleted from the chart. Is it expected? I cannot find it in the changelog and Slack.
k
Cc @Yuvraj
@Eduardo Apolinario (eapolinario) ?
e
Looking.
k
I think the charts are no longer dependent , can be installed independently
a
When I tried to upgrade to 0.19.0, Helm will remove this flyte’s pytorch-operator first.
Also, in the doc, we can install spark operator separately, but Flyte 0.19.0 chart still support Spark Operator: https://github.com/flyteorg/flyte/blob/v0.19.0/charts/flyte/Chart.yaml#L15-L19
k
I think idea was to reduce dependencies within flight as we add new plug-ins
y
@Arief Rahmansyah Currently we have 2 helm chart, One for sandbox and other one used for deploying flyte core component. Please read the release notes https://github.com/flyteorg/flyte/releases/tag/v0.18.2 After new changes we will suggest you to use
flyte-core
helm chart for cloud deployment and
flyte
helm chart is only used for sandbox.
y
hey @Arief Rahmansyah just checking in, did you manage to reinstall the operator?
a
We are migrating to flyte-core from flyte, and go forward without pytorch and spark operator. Currently there’s no user of them so we fine with omitting them. When the need arise, we may create new chart that depends to flyte-core and other operators — similar to what flyte chart done.
k
@Arief Rahmansyah that was the intention and you can publish it too
🙏 1
109 Views